/*
 * Copyright (c) Alex Allan <alex X kamaz.org.uk> 
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/**
 * command_line_spellings.h
 * Spellings of tokens for CommandLineArguments
 */

#ifndef TAGLOOKUP_COMMAND_LINE_SPELLINGS_H
#define TAGLOOKUP_COMMAND_LINE_SPELLINGS_H

// Flags
#define TAGLOOKUP_CACHE_MODE_FLAG "-c"
#define TAGLOOKUP_SERVER_FLAG "-s"
#define TAGLOOKUP_PORT_FLAG "-p"
#define TAGLOOKUP_PROTOCOL_FLAG "-P"
 
// Cache modes 
#define TAGLOOKUP_ON "on"
#define TAGLOOKUP_OFF "off"
#define TAGLOOKUP_ONLY "only"

// Protocols
#define TAGLOOKUP_CDDBP "cddbp"
#define TAGLOOKUP_HTTP "http"
#define TAGLOOKUP_PROXY "proxy"

// Commands
#define TAGLOOKUP_ID "id"
#define TAGLOOKUP_SEQUENCE "sequence"
#define TAGLOOKUP_RENAME "rename"
#define TAGLOOKUP_LIST "list"
#define TAGLOOKUP_HELP "help"
#define TAGLOOKUP_HELP_SHORT "-h"

#endif

